<?php
/**
 * The template for displaying archive pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Xarxaprod_theme
 */

get_header();
?>

	<main id="primary" class="site-main">

			<header class="page-header">
				<h1><?php single_term_title( ' ' ); ?></h1>
			</header>

      <aside>
      <?php if( in_category('faq') ) : ?>
        <?php xarxaprod_display_faqs_labels();//display all faq subcategories as labels ?>
        <?php xarxaprod_display_faqs_search(); ?>
      <?php endif; //end if is_category faq ?>
			<?php if ( in_category( array( 'agenda', 'agenda-es','activitats') ) ) : ?>
         <?php wp_nav_menu( 
					 array(
						 'theme_location' => 'menu-3',
						 'menu_id'        => 'agenda-menu',
           ) 
          ); ?> 
	    <?php endif; //end in_category agenda activitats ?>
      </aside>

    <?php if ( have_posts() ) : ?>

			<content class="archive-posts <?php xarxaprod_class_posttype(); ?>">
			<?php
			/* Start the Loop */
			//while ( have_posts() ) :
			//	the_post();

        if( in_category('faq') ) { 
			    while ( have_posts() ) :
			    	the_post();
              get_template_part( 'template-parts/section', 'each-faq' );
			    endwhile;
			    the_posts_navigation();
					//end if is_category faq 
				} elseif (in_category( array( 'activitats') ) ) {

          function xxp_order_by_date_end( $query ){
            if ( ! is_admin() && $query->is_main_query() ){
              $query->set( 'order_by', 'meta_value' );
              $query->set( 'order', 'ASC' );
              $query->set( 'meta_query', array(
                array(
                  'key'     => 'xxp_agenda_date_end',
                  'value'   => date("Y-m-d"),
                  'compare' => '>', //show events before today
                  'type'    => 'DATE',
                )
              ) );
            }
          }
          add_action( 'pre_get_posts', 'xxp_order_by_date_end');
          get_template_part( 'template-parts/section', 'each-agenda-entry' );

					//end in_category agenda activitats
				} elseif (in_category( array( 'convocatories') ) ) {

          $the_query_archive_convocatories = new WP_Query( 
            array(
              'post_type'      => 'post',
              'posts_per_page' => '-1', //show all => -1
              'tax_query'      => array(
                array(
                  'taxonomy'   => 'category',
                  'field'      => 'slug',
                  'terms'      => 'convocatories'
                )
              ),
            ) 
          );  
          if ( $the_query_archive_convocatories->have_posts() ) :
            while ( $the_query_archive_convocatories->have_posts() ) : $the_query_archive_convocatories->the_post();
              get_template_part( 'template-parts/section', 'eachconvo' );

            endwhile;//end of the loop 
					endif; //end if the_query_archive_activitats
					wp_reset_postdata(); //reset custom query
					//end in_category convocatories
				}else{
					//the rest of archives
			    while ( have_posts() ) :
			    	the_post();
				    /*
				     * Include the Post-Type-specific template for the content.
				     * If you want to override this in a child theme, then include a file
				     * called content-___.php (where ___ is the Post Type name) and that will be used instead.
				     */
				    //get_template_part( 'template-parts/content', get_post_type() );
              get_template_part( 'template-parts/section', 'each-entry' );
			    endwhile;
			    the_posts_navigation();
				}

			else : //no if have_posts

			get_template_part( 'template-parts/content', 'none' ); ?>

    </content>
    <?php endif; //end if have_posts?>

	</main><!-- #main -->

<?php
get_sidebar();
get_footer();
