<?php
/**
 * The template for displaying the "convos" calls with search capabilities 
 *
 * Template Name: Arxiu Activitats 
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 * @link https://developer.wordpress.org/themes/template-files-section/page-template-files/
 *
 * @package Xarxaprod_theme
 * @since 1.0
 */

get_header();
?>
<!-- page-templates convos-search-php -->
  <main id="primary" class="site-main">

		<?php if ( have_posts() ) : ?>

			<header class="page-header">
			</header><!-- .page-header -->
			<?php
			while ( have_posts() ) :
				the_post();

				get_template_part( 'template-parts/content', 'page' );

			endwhile;

			the_posts_navigation();

		else :
			get_template_part( 'template-parts/content', 'none' );

		endif;
		?>

    <section id="arxiuactivitats" class="xarxaprod-filtered-content xarxaprod-filtered-arxiu xarxaprod-arxiu-agenda xarxaprod-arxiu-activitats">
      <header>
      </header>  

      <aside id="agendafilter" class="xarxaprod-filter-agenda xarxaprod-fitre-agenda">
      </aside>

     <?php
      $the_query_archive_activitats = new WP_Query(
        array(
          'post_type'      => 'post',
          'posts_per_page' => '-1', //show all => -1
          'tax_query'      => array(
            array(
              'taxonomy'   => 'category',
              'field'      => 'slug',
              'terms'      => 'activitats'
            )
          ),
          'order_by'       => 'meta_value', //order by meta value
          'order'          => 'ASC', //order ascendent
          'meta_query'     => array(
            array(    //filter results show only older than today
              'key'     => 'xxp_agenda_date_end',
              'value'   => date("Y-m-d"), // consider using date_i18n() https://developer.wordpress.org/reference/functions/date_i18n/
              'compare' => '<', //show events before today
              'type'    => 'DATE',
            )
          )
        )
      ); 
      ?>
      <?php if ( $the_query_archive_activitats->have_posts() ) : ?>
      <content class="archive-posts <?php //xarxaprod_class_posttype(); ?>">
        <?php while ( $the_query_archive_activitats->have_posts() ) : $the_query_archive_activitats->the_post(); ?>
  
         <?php get_template_part( 'template-parts/section', 'each-agenda-entry' ); ?>
  
        <?php endwhile;//end of the loop ?>
        <?php 
        // pagination will not work for custom_query
        // https://wordpress.stackexchange.com/a/120408
        // how to fix it
          the_posts_navigation();
         ?>
        <?php wp_reset_postdata(); ?>
      </content>
      <?php endif; //end query agenda ?>
 
    </section>

  </main><!-- #main -->

<?php
get_footer();
