<?php
/**
 * The template for displaying the "convos" calls with search capabilities 
 *
 * Template Name: Arxiu general 
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 * @link https://developer.wordpress.org/themes/template-files-section/page-template-files/
 *
 * @package Xarxaprod_theme
 * @since 1.0
 */

get_header();
?>
<!-- page-templates convos-search-php -->
  <main id="primary" class="site-main">

		<?php if ( have_posts() ) : ?>

			<header class="page-header">
			</header><!-- .page-header -->
			<?php
			while ( have_posts() ) :
				the_post();

				get_template_part( 'template-parts/content', 'page' );

			endwhile;

			the_posts_navigation();

		else :
			get_template_part( 'template-parts/content', 'none' );

		endif;
		?>

    <section id="filteredagenda" class="xarxaprod-filtered-content  xarxaprod-filtered-arxiu xarxaprod-arxiu-agenda xarxaprod-arxiu-activitats">
      <header>
      <h2 class="section-title"><a href="<?php echo site_url(); ?>/arxiu-activitats">Activitats pasades</a></h2>
      </header>  

      <aside id="agendafilter" class="xarxaprod-filter-agenda xarxaprod-fitre-agenda">
      </aside>

     <?php
      $the_query_archive_agenda = new WP_Query(
        array(
          'post_type'      => 'post',
          'posts_per_page' => '3', //show all => -1
          'tax_query'      => array(
            array(
              'taxonomy'   => 'category',
              'field'      => 'slug',
              'terms'      => 'activitats'
            )
          ),
          'order_by'       => 'meta_value', //order by meta value
          'order'          => 'ASC', //order ascendent
          'meta_query'     => array(
            array(    //filter results show only older than today
              'key'     => 'xxp_agenda_date_end',
              'value'   => date("Y-m-d"), // consider using date_i18n() https://developer.wordpress.org/reference/functions/date_i18n/
              'compare' => '<', //show events before today
              'type'    => 'DATE',
            )
          )
        )
      ); 
      ?>
      <?php if ( $the_query_archive_agenda->have_posts() ) : ?>
      <content class="archive-posts <?php //xarxaprod_class_posttype(); ?>">
        <?php while ( $the_query_archive_agenda->have_posts() ) : $the_query_archive_agenda->the_post(); ?>
  
         <?php get_template_part( 'template-parts/section', 'each-agenda-entry' ); ?>
  
        <?php endwhile;//end of the loop ?>
        <?php 
        // pagination will not work for custom_query
        // https://wordpress.stackexchange.com/a/120408
        // how to fix it
          the_posts_navigation();
         ?>
        <?php wp_reset_postdata(); ?>
      </content>
      <?php endif; //end query agenda ?>
 
    </section>

    <section id="filteredcalls" class="xarxaprod-filtered-content xarxaprod-filtered-arxiu xarxaprod-arxiu-convos">
      <header>
      <h2 class="section-title"><a href="<?php echo site_url(); ?>/arxiu-convocatories">Convocatories pasades</a></h2>
      </header>  
      <aside id="callsfilter" class="xarxaprod-filter-calls xarxaprod-fitre-convos">
      </aside>
  
     <?php
      // comparing dates
      // https://wordpress.stackexchange.com/a/12305
      $the_query_archive_convo = new WP_Query(
        array(
          'post_type'      => 'xarxaprod-convo',
          'order_by'       => 'meta_value', //order by meta value
          'meta_key'       => 'xxp_convo_apply_end', // order by meta key convo apply end
          'order'          => 'ASC', //order ascendent
          //'posts_per_page' => '-1', //show all
          'posts_per_page' => '3',
          'meta_query'     => array(
            array(    //filter results show only older than today
              'key'     => 'xxp_convo_apply_end', 
              'value'   => date("Y-m-d"), // consider using date_i18n() https://developer.wordpress.org/reference/functions/date_i18n/
              'compare' => '<', //show events before today
              'type'    => 'DATE',
            )
          )
        )
      ); 
      ?>
      <?php if ( $the_query_archive_convo->have_posts() ) : ?>
      <content class="archive-posts archive-xarxaprod-convo <?php //xarxaprod_class_posttype(); ?>">
        <?php while ( $the_query_archive_convo->have_posts() ) : $the_query_archive_convo->the_post(); ?>
  
         <?php get_template_part( 'template-parts/section', 'eachconvo' ); ?>
  
        <?php endwhile;//end of the loop ?>
        <?php 
        // pagination will not work for custom_query
        // https://wordpress.stackexchange.com/a/120408
        // how to fix it
          the_posts_navigation();
         ?>
        <?php wp_reset_postdata(); ?>
  		</content>
      <?php endif; //end query convo ?>

    </section>
    <?php
      // comparing dates
      // https://wordpress.stackexchange.com/a/12305
      $the_query_archive_convopre2024 = new WP_Query(
      // uncomment below to activate preview of pre 2024 convos
      //  array(
      //    'post_type'      => 'post',
      //    'posts_per_page' => '4', //show all => -1
      //    'tax_query'      => array(
      //      array(
      //        'taxonomy'   => 'category',
      //        'field'      => 'slug',
      //        'terms'      => 'convocatories'
      //      )
      //    ),
      //  )
      // uncomment above to activate preview of pre 2024 convos
      ); 
    ?>
    <?php if ( $the_query_archive_convopre2024->have_posts() ) : ?>
    <section id="filteredcalls-pre2024" class="xarxaprod-filtered-content xarxaprod-filtered-content xarxaprod-filtered-calls xarxaprod-convos-filtrats">
      <header>
      <h2 class="section-title"><a href="<?php echo site_url(); ?>/convocatories-pre-2024/">Convocatories pre 2024</a></h2>
      </header>  
      <aside id="callsfilter" class="xarxaprod-filter-calls xarxaprod-fitre-convos">
      </aside>
      <content class="archive-posts category-convocatoriespre2024">
        <?php while ( $the_query_archive_convopre2024->have_posts() ) : $the_query_archive_convopre2024->the_post(); ?>
  
         <?php get_template_part( 'template-parts/section', 'eachconvo' ); ?>
  
        <?php endwhile;//end of the loop ?>
        <?php 
        // pagination will not work for custom_query
        // https://wordpress.stackexchange.com/a/120408
        // how to fix it
          the_posts_navigation();
         ?>
        <?php wp_reset_postdata(); ?>
  		</content>
    </section>
    <?php endif; //end query convopre2024 ?>

  </main><!-- #main -->

<?php
get_footer();
